import sys, random, math
  
inputs = sys.stdin.readline()
while inputs:
	items = inputs.split()
	pixels = float(items[0])
	num = int(items[1])
	width = float(items[2])
	outer_radius = float(items[3])
	inner_radius = float(items[4])
	seed = int(items[5])
	
	random.seed(seed)
	sys.stdout.write('Points "P" [')
	count = 0
	outer_sqrd = outer_radius * outer_radius
	inner_sqrd = inner_radius * inner_radius
	while count < num:
		x = random.uniform(-outer_radius, outer_radius)
		y = random.uniform(-outer_radius, outer_radius)
		z = random.uniform(-outer_radius, outer_radius)
		distSqrd = x * x + y * y + z * z
		if distSqrd <= outer_sqrd and distSqrd >= inner_sqrd:      
			sys.stdout.write('%1.3f %1.3f %1.3f\n' % (x,y,z))
			count += 1
	sys.stdout.write('] "constantwidth" [%1.3f]' % width)  
	sys.stdout.write('\377')
	sys.stdout.flush()
	inputs = sys.stdin.readline()
